Bug 137417 - CAN-2004-0940 mod_include local escalation
CAN-2004-0940 mod_include local escalation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: apache (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Brian Brock
impact=moderate,public=20041021
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-28 08:56 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 14:26:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-10-28 08:56:43 EDT
Fixed in Apache httpd 1.3.33-dev

moderate: mod_include overflow CAN-2004-0940

A buffer overflow in mod_include could allow a local user who is
authorised to create server side include (SSI) files to gain the
privileges of a httpd child.

Found by exploit posted to k-otik on Oct21
Comment 1 Josh Bressers 2004-11-03 08:15:04 EST
This is RHSA-2004:600.
Comment 2 John Flanagan 2004-12-13 14:26:25 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-600.html

Note You need to log in before you can comment on or make changes to this bug.